<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:template match="/">
<html>
<body>
<h2>sample binary file.bin</h2>
<table border="0">
<tr bgcolor="#D0DDE0">
<th>PREM-CODE</th>
<th>PREM-TERM-ID</th>
<th>PREM-TRAN-NO</th>
<th>PREM-VALID-FLAG</th>
<th>PREM-BATC-KEY</th>
<th>PREM-CATEGORY</th>
<th>PREM-POL-COMPANY</th>
<th>PREM-POL-BRANCH</th>
<th>PREM-POLICY</th>
<th>PREM-POLS-TYPE</th>
<th>PREM-POL-FIL</th>
<th>PREM-RISK-NUMBER</th>
<th>PREM-DATE-EFFECT</th>
<th>PREM-SUB-CLASS</th>
<th>PREM-BROKERS-REF</th>
<th>PREM-FIRE-BRIGADE</th>
<th>PREM-RISK-STATE</th>
<th>PREM-RISK-CLASS</th>
<th>PREM-ACT-PREFIX</th>
<th>PREM-ACT-COMPANY</th>
<th>PREM-ACT-BRANCH</th>
<th>PREM-ACCOUNT</th>
<th>PREM-ACT-FIL</th>
<th>PREM-CLT-PREFIX</th>
<th>PREM-CLT-COMPANY</th>
<th>PREM-CLT-BRANCH</th>
<th>PREM-CLIENT</th>
<th>PREM-CLT-FIL</th>
<th>PREM-DATE-INCEPT</th>
<th>PREM-DATE-EXPIRES</th>
<th>PREM-PAY-PLAN</th>
<th>PREM-DUE-MONTH</th>
<th>PREM-DUE-YEAR</th>
<th>PREM-RI-WOC-NO</th>
<th>PREM-RI-TRAN-NO</th>
<th>PREM-RI-METHOD</th>
<th>PREM-TRANS-NO</th>
<th>PREM-SD-METHOD-P</th>
<th>PREM-SD-METHOD-F</th>
<th>PREM-FSL-METHOD-P</th>
<th>PREM-FSL-METHOD-F</th>
<th>PREM-POL-AGT-RATE</th>
<th>PREM-POL-AGT-FLAG</th>
<th>PREM-POL-ORC-ACCT</th>
<th>PREM-POL-ORC-RATE</th>
<th>PREM-POL-ORC-FLAG</th>
<th>PREM-POL-ORC-COMM</th>
<th>PREM-POL-GR-PREM</th>
<th>PREM-POL-FSL</th>
<th>PREM-POL-ST-DUTY</th>
<th>PREM-POL-CH-TYP1</th>
<th>PREM-POL-EX-CHG1</th>
<th>PREM-POL-CH-TYP2</th>
<th>PREM-POL-EX-CHG2</th>
<th>PREM-POL-AGT-COMM</th>
<th>PREM-POL-PREMIUM</th>
<th>PREM-FAP-GR-PREM</th>
<th>PREM-FAP-FSL</th>
<th>PREM-FAP-ST-DUTY</th>
<th>PREM-FAP-CH-TYP1</th>
<th>PREM-FAP-EX-CHG1</th>
<th>PREM-FAP-CH-TYP2</th>
<th>PREM-FAP-EX-CHG2</th>
<th>PREM-POL-PRNT-FLG</th>
<th>PREM-UNUSED-FLAGS</th>
<th>PREM-FAP-AGT-COMM</th>
<th>PREM-STAT-CD</th>
<th>PREM-CASH-KEY</th>
<th>PREM-ENDORSE-TYPE</th>
<th>PREM-TRANS-TYPE</th>
<th>PREM-DEBTORS-TFR</th>
<th>PREM-INST-DETAILS</th>
<th>PREM-ORIG-POL-PREM</th>
<th>PREM-ORIG-FAP-PREM</th>
<th>PREM-ORIG-PPREMIUM</th>
<th>PREM-ORIG-FPREMIUM</th>
<th>PREM-PERC-ADJ</th>
<th>PREM-AUTH-NO</th>
<th>PREM-IN-FLAG</th>
<th>PREM-POL-GST-COMM</th>
<th>PREM-ORC-GST-COMM</th>
<th>PREM-FAP-GST-COMM</th>
<th>PREM-GL-ORIGIN</th>
<th>PREM-TERR-ZONE</th>
<th>PREM-GL-LOCATION</th>
</tr>
<h3>PREM-CODE='01'</h3>
<xsl:for-each select="jkje/child::*">
<xsl:if test=".//child::PREM-CODE='01'">
<tr>
<td><xsl:value-of select=".//child::PREM-CODE"/></td>
<td><xsl:value-of select=".//child::PREM-TERM-ID"/></td>
<td><xsl:value-of select=".//child::PREM-TRAN-NO"/></td>
<td><xsl:value-of select=".//child::PREM-VALID-FLAG"/></td>
<td><xsl:value-of select=".//child::PREM-BATC-KEY"/></td>
<td><xsl:value-of select=".//child::PREM-CATEGORY"/></td>
<td><xsl:value-of select=".//child::PREM-POL-COMPANY"/></td>
<td><xsl:value-of select=".//child::PREM-POL-BRANCH"/></td>
<td><xsl:value-of select=".//child::PREM-POLICY"/></td>
<td><xsl:value-of select=".//child::PREM-POLS-TYPE"/></td>
<td><xsl:value-of select=".//child::PREM-POL-FIL"/></td>
<td><xsl:value-of select=".//child::PREM-RISK-NUMBER"/></td>
<td><xsl:value-of select=".//child::PREM-DATE-EFFECT"/></td>
<td><xsl:value-of select=".//child::PREM-SUB-CLASS"/></td>
<td><xsl:value-of select=".//child::PREM-BROKERS-REF"/></td>
<td><xsl:value-of select=".//child::PREM-FIRE-BRIGADE"/></td>
<td><xsl:value-of select=".//child::PREM-RISK-STATE"/></td>
<td><xsl:value-of select=".//child::PREM-RISK-CLASS"/></td>
<td><xsl:value-of select=".//child::PREM-ACT-PREFIX"/></td>
<td><xsl:value-of select=".//child::PREM-ACT-COMPANY"/></td>
<td><xsl:value-of select=".//child::PREM-ACT-BRANCH"/></td>
<td><xsl:value-of select=".//child::PREM-ACCOUNT"/></td>
<td><xsl:value-of select=".//child::PREM-ACT-FIL"/></td>
<td><xsl:value-of select=".//child::PREM-CLT-PREFIX"/></td>
<td><xsl:value-of select=".//child::PREM-CLT-COMPANY"/></td>
<td><xsl:value-of select=".//child::PREM-CLT-BRANCH"/></td>
<td><xsl:value-of select=".//child::PREM-CLIENT"/></td>
<td><xsl:value-of select=".//child::PREM-CLT-FIL"/></td>
<td><xsl:value-of select=".//child::PREM-DATE-INCEPT"/></td>
<td><xsl:value-of select=".//child::PREM-DATE-EXPIRES"/></td>
<td><xsl:value-of select=".//child::PREM-PAY-PLAN"/></td>
<td><xsl:value-of select=".//child::PREM-DUE-MONTH"/></td>
<td><xsl:value-of select=".//child::PREM-DUE-YEAR"/></td>
<td><xsl:value-of select=".//child::PREM-RI-WOC-NO"/></td>
<td><xsl:value-of select=".//child::PREM-RI-TRAN-NO"/></td>
<td><xsl:value-of select=".//child::PREM-RI-METHOD"/></td>
<td><xsl:value-of select=".//child::PREM-TRANS-NO"/></td>
<td><xsl:value-of select=".//child::PREM-SD-METHOD-P"/></td>
<td><xsl:value-of select=".//child::PREM-SD-METHOD-F"/></td>
<td><xsl:value-of select=".//child::PREM-FSL-METHOD-P"/></td>
<td><xsl:value-of select=".//child::PREM-FSL-METHOD-F"/></td>
<td><xsl:value-of select=".//child::PREM-POL-AGT-RATE"/></td>
<td><xsl:value-of select=".//child::PREM-POL-AGT-FLAG"/></td>
<td><xsl:value-of select=".//child::PREM-POL-ORC-ACCT"/></td>
<td><xsl:value-of select=".//child::PREM-POL-ORC-RATE"/></td>
<td><xsl:value-of select=".//child::PREM-POL-ORC-FLAG"/></td>
<td><xsl:value-of select=".//child::PREM-POL-ORC-COMM"/></td>
<td><xsl:value-of select=".//child::PREM-POL-GR-PREM"/></td>
<td><xsl:value-of select=".//child::PREM-POL-FSL"/></td>
<td><xsl:value-of select=".//child::PREM-POL-ST-DUTY"/></td>
<td><xsl:value-of select=".//child::PREM-POL-CH-TYP1"/></td>
<td><xsl:value-of select=".//child::PREM-POL-EX-CHG1"/></td>
<td><xsl:value-of select=".//child::PREM-POL-CH-TYP2"/></td>
<td><xsl:value-of select=".//child::PREM-POL-EX-CHG2"/></td>
<td><xsl:value-of select=".//child::PREM-POL-AGT-COMM"/></td>
<td><xsl:value-of select=".//child::PREM-POL-PREMIUM"/></td>
<td><xsl:value-of select=".//child::PREM-FAP-GR-PREM"/></td>
<td><xsl:value-of select=".//child::PREM-FAP-FSL"/></td>
<td><xsl:value-of select=".//child::PREM-FAP-ST-DUTY"/></td>
<td><xsl:value-of select=".//child::PREM-FAP-CH-TYP1"/></td>
<td><xsl:value-of select=".//child::PREM-FAP-EX-CHG1"/></td>
<td><xsl:value-of select=".//child::PREM-FAP-CH-TYP2"/></td>
<td><xsl:value-of select=".//child::PREM-FAP-EX-CHG2"/></td>
<td><xsl:value-of select=".//child::PREM-POL-PRNT-FLG"/></td>
<td><xsl:value-of select=".//child::PREM-UNUSED-FLAGS"/></td>
<td><xsl:value-of select=".//child::PREM-FAP-AGT-COMM"/></td>
<td><xsl:value-of select=".//child::PREM-STAT-CD"/></td>
<td><xsl:value-of select=".//child::PREM-CASH-KEY"/></td>
<td><xsl:value-of select=".//child::PREM-ENDORSE-TYPE"/></td>
<td><xsl:value-of select=".//child::PREM-TRANS-TYPE"/></td>
<td><xsl:value-of select=".//child::PREM-DEBTORS-TFR"/></td>
<td><xsl:value-of select=".//child::PREM-INST-DETAILS"/></td>
<td><xsl:value-of select=".//child::PREM-ORIG-POL-PREM"/></td>
<td><xsl:value-of select=".//child::PREM-ORIG-FAP-PREM"/></td>
<td><xsl:value-of select=".//child::PREM-ORIG-PPREMIUM"/></td>
<td><xsl:value-of select=".//child::PREM-ORIG-FPREMIUM"/></td>
<td><xsl:value-of select=".//child::PREM-PERC-ADJ"/></td>
<td><xsl:value-of select=".//child::PREM-AUTH-NO"/></td>
<td><xsl:value-of select=".//child::PREM-IN-FLAG"/></td>
<td><xsl:value-of select=".//child::PREM-POL-GST-COMM"/></td>
<td><xsl:value-of select=".//child::PREM-ORC-GST-COMM"/></td>
<td><xsl:value-of select=".//child::PREM-FAP-GST-COMM"/></td>
<td><xsl:value-of select=".//child::PREM-GL-ORIGIN"/></td>
<td><xsl:value-of select=".//child::PREM-TERR-ZONE"/></td>
<td><xsl:value-of select=".//child::PREM-GL-LOCATION"/></td>
</tr></xsl:if>
</xsl:for-each>
</table>
<table border="0">
<tr bgcolor="#D0DDE0">
<th>PREM-CODE</th>
<th>PREM-TERM-ID</th>
<th>PREM-TRAN-NO</th>
<th>PREM-VALID-FLAG</th>
<th>PREM-BATC-KEY</th>
<th>PREM-CATEGORY</th>
<th>PREM-POLY-KEY-02</th>
<th>PREM-RSK-NO-02</th>
<th>PREM-RI-ACCT-02</th>
<th>PREM-TRAN-TYPE-02</th>
<th>PREM-SUB-CLASS-02</th>
<th>PREM-FIRE-BRIG-02</th>
<th>PREM-DATE-EFF-02</th>
<th>PREM-DATE-EXP-02</th>
<th>PREM-JNL-REF-02</th>
<th>PREM-TRAN-DESC-02</th>
<th>PREM-PREM-EX-02</th>
<th>PREM-GR-PREM-02</th>
<th>PREM-FSL-02</th>
<th>PREM-ST-DUTY-02</th>
<th>PREM-COMM-02</th>
<th>PREM-TOT-PREM-02</th>
<th>PREM-EX-CHG1-02</th>
<th>PREM-CH-TYP1-02</th>
<th>PREM-EX-CHG2-02</th>
<th>PREM-CH-TYP2-02</th>
<th>PREM-GR-SUMINS-02</th>
<th>PREM-PROPN-02</th>
<th>PREM-RI-AC-TYP-02</th>
<th>PREM-DATE-INC-02</th>
<th>PREM-RISK-CLS-02</th>
<th>PREM-TRANS-NO-02</th>
<th>PREM-STAT-CD-02</th>
<th>PREM-RSK-STATE-02</th>
<th>PREM-RI-METHOD-02</th>
<th>PREM-RI-TRANO-02</th>
<th>PREM-RI-WOC-NO-02</th>
<th>PREM-COMM-RATE-02</th>
<th>PREM-GST-COMM-02</th>
<th>PREM-FXOL-SEQ-02</th>
<th>PREM-QS-COINS-ACCT-02</th>
<th>PREM-GL-ORIGIN-02</th>
<th>PREM-TERR-ZONE-02</th>
<th>PREM-GL-LOCATION-02</th>
</tr>
<h3>PREM-CODE='02'</h3>
<xsl:for-each select="jkje/child::*">
<xsl:if test=".//child::PREM-CODE='02'">
<tr>
<td><xsl:value-of select=".//child::PREM-CODE"/></td>
<td><xsl:value-of select=".//child::PREM-TERM-ID"/></td>
<td><xsl:value-of select=".//child::PREM-TRAN-NO"/></td>
<td><xsl:value-of select=".//child::PREM-VALID-FLAG"/></td>
<td><xsl:value-of select=".//child::PREM-BATC-KEY"/></td>
<td><xsl:value-of select=".//child::PREM-CATEGORY"/></td>
<td><xsl:value-of select=".//child::PREM-POLY-KEY-02"/></td>
<td><xsl:value-of select=".//child::PREM-RSK-NO-02"/></td>
<td><xsl:value-of select=".//child::PREM-RI-ACCT-02"/></td>
<td><xsl:value-of select=".//child::PREM-TRAN-TYPE-02"/></td>
<td><xsl:value-of select=".//child::PREM-SUB-CLASS-02"/></td>
<td><xsl:value-of select=".//child::PREM-FIRE-BRIG-02"/></td>
<td><xsl:value-of select=".//child::PREM-DATE-EFF-02"/></td>
<td><xsl:value-of select=".//child::PREM-DATE-EXP-02"/></td>
<td><xsl:value-of select=".//child::PREM-JNL-REF-02"/></td>
<td><xsl:value-of select=".//child::PREM-TRAN-DESC-02"/></td>
<td><xsl:value-of select=".//child::PREM-PREM-EX-02"/></td>
<td><xsl:value-of select=".//child::PREM-GR-PREM-02"/></td>
<td><xsl:value-of select=".//child::PREM-FSL-02"/></td>
<td><xsl:value-of select=".//child::PREM-ST-DUTY-02"/></td>
<td><xsl:value-of select=".//child::PREM-COMM-02"/></td>
<td><xsl:value-of select=".//child::PREM-TOT-PREM-02"/></td>
<td><xsl:value-of select=".//child::PREM-EX-CHG1-02"/></td>
<td><xsl:value-of select=".//child::PREM-CH-TYP1-02"/></td>
<td><xsl:value-of select=".//child::PREM-EX-CHG2-02"/></td>
<td><xsl:value-of select=".//child::PREM-CH-TYP2-02"/></td>
<td><xsl:value-of select=".//child::PREM-GR-SUMINS-02"/></td>
<td><xsl:value-of select=".//child::PREM-PROPN-02"/></td>
<td><xsl:value-of select=".//child::PREM-RI-AC-TYP-02"/></td>
<td><xsl:value-of select=".//child::PREM-DATE-INC-02"/></td>
<td><xsl:value-of select=".//child::PREM-RISK-CLS-02"/></td>
<td><xsl:value-of select=".//child::PREM-TRANS-NO-02"/></td>
<td><xsl:value-of select=".//child::PREM-STAT-CD-02"/></td>
<td><xsl:value-of select=".//child::PREM-RSK-STATE-02"/></td>
<td><xsl:value-of select=".//child::PREM-RI-METHOD-02"/></td>
<td><xsl:value-of select=".//child::PREM-RI-TRANO-02"/></td>
<td><xsl:value-of select=".//child::PREM-RI-WOC-NO-02"/></td>
<td><xsl:value-of select=".//child::PREM-COMM-RATE-02"/></td>
<td><xsl:value-of select=".//child::PREM-GST-COMM-02"/></td>
<td><xsl:value-of select=".//child::PREM-FXOL-SEQ-02"/></td>
<td><xsl:value-of select=".//child::PREM-QS-COINS-ACCT-02"/></td>
<td><xsl:value-of select=".//child::PREM-GL-ORIGIN-02"/></td>
<td><xsl:value-of select=".//child::PREM-TERR-ZONE-02"/></td>
<td><xsl:value-of select=".//child::PREM-GL-LOCATION-02"/></td>
</tr></xsl:if>
</xsl:for-each>
</table>
</body>
</html>
</xsl:template>
</xsl:stylesheet>
