package jkje.swing;

import java.awt.*;
import java.util.StringTokenizer;
import javax.swing.*;
import javax.swing.table.TableCellRenderer;
import jkje.utils.*;

public class AmountCellRenderer extends JTextField implements TableCellRenderer {
    public Component getTableCellRendererComponent (JTable table,
            Object value, boolean isSelected, boolean hasFocus, int row,
            int column) {


        //removeAll();

        //System.out.println("amount row col " + row + " " + column);
        //System.out.println("amount value " + value);
        String amt=jkje.utils.MyFormatter.formatDecimal((Double)value,"########0.##");
	System.out.println("formatted amt " + amt);
        if (!(value instanceof Double)) {
          //System.out.println("not Double");
          return null;
        }
        setEditable(false);
        if (isSelected) {
	   setForeground(table.getSelectionForeground());
	   setBackground(table.getSelectionBackground());
	} else {
	   setForeground(table.getForeground());
	   setBackground(table.getBackground());
	}
	setText(amt);
	//setBackground(java.awt.Color.white);
	//setOpaque(false);
        //LookAndFeel.installColorsAndFont(ts,
	//				 "TableCell.background",
        //                                 "TableCell.foreground",
        //                                 "TableCell.font");

        LookAndFeel.installBorder(this,"TableCell.cellBorder");
        return this;
   }

}